From 0ae89685a14844dc81cdc0a6085646f39be0fa2c Mon Sep 17 00:00:00 2001
From: Yu Daike <yu.daike@suse.com>
Date: Mon, 14 Aug 2023 20:49:07 +0800
Subject: [PATCH 23/26] Add glib 2.60 version macro for backporting

---
 glib/gversionmacros.h | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/glib/gversionmacros.h b/glib/gversionmacros.h
index c23c40247..942b7cdef 100644
--- a/glib/gversionmacros.h
+++ b/glib/gversionmacros.h
@@ -185,6 +185,16 @@
  */
 #define GLIB_VERSION_2_54       (G_ENCODE_VERSION (2, 54))
 
+/**
+ * GLIB_VERSION_2_60:
+ *
+ * A macro that evaluates to the 2.60 version of GLib, in a format
+ * that can be used by the C pre-processor.
+ *
+ * Since: 2.60
+ */
+#define GLIB_VERSION_2_60       (G_ENCODE_VERSION (2, 60))
+
 /* evaluates to the current stable version; for development cycles,
  * this means the next stable target
  */
@@ -486,4 +496,10 @@
 # define GLIB_AVAILABLE_IN_2_54                 _GLIB_EXTERN
 #endif
 
+#if GLIB_VERSION_MAX_ALLOWED < GLIB_VERSION_2_60
+# define GLIB_AVAILABLE_IN_2_60                 GLIB_UNAVAILABLE(2, 60)
+#else
+# define GLIB_AVAILABLE_IN_2_60                 _GLIB_EXTERN
+#endif
+
 #endif /*  __G_VERSION_MACROS_H__ */
-- 
2.41.0


